org.bouncycastle.asn1.cmc

## Class GetCert

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.GetCert

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GetCert
      extends ASN1Object

            id-cmc-getCert OBJECT IDENTIFIER ::= {id-cmc 15}

            GetCert ::= SEQUENCE {
                 issuerName      GeneralName,
                 serialNumber    INTEGER }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCert(GeneralName issuerName, java.math.BigInteger serialNumber)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetCert` | `getInstance(java.lang.Object o)`
    `GeneralName` | `getIssuerName()`
    `java.math.BigInteger` | `getSerialNumber()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCert

          public GetCert(GeneralName issuerName,
                         java.math.BigInteger serialNumber)

  - ### Method Detail

    - #### getInstance

          public static GetCert getInstance(java.lang.Object o)

    - #### getIssuerName

          public GeneralName getIssuerName()

    - #### getSerialNumber

          public java.math.BigInteger getSerialNumber()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.